summaryrefslogtreecommitdiff
path: root/plugins/aws/aws.plugin.zsh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2017-11-12 19:36:24 -0700
committerTuowen Zhao <ztuowen@gmail.com>2017-11-12 19:36:24 -0700
commit5e1ad5efbf59a40ef6dc6d404c6f403dff8ed436 (patch)
tree2c9ab05f372ad5da84662e18a4d7e258b75d3b17 /plugins/aws/aws.plugin.zsh
parent6bcf7764f8d8094695c7c04bb9532a0ede40ab37 (diff)
parent41eedd37005f6b3668fcebe2a5f5a26324753519 (diff)
downloadzsh-5e1ad5efbf59a40ef6dc6d404c6f403dff8ed436.tar.gz
zsh-5e1ad5efbf59a40ef6dc6d404c6f403dff8ed436.tar.bz2
zsh-5e1ad5efbf59a40ef6dc6d404c6f403dff8ed436.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'plugins/aws/aws.plugin.zsh')
-rw-r--r--plugins/aws/aws.plugin.zsh19
1 files changed, 17 insertions, 2 deletions
diff --git a/plugins/aws/aws.plugin.zsh b/plugins/aws/aws.plugin.zsh
index d31052f83..6a0e04add 100644
--- a/plugins/aws/aws.plugin.zsh
+++ b/plugins/aws/aws.plugin.zsh
@@ -1,9 +1,24 @@
_homebrew-installed() {
type brew &> /dev/null
+ _xit=$?
+ if [ $_xit -eq 0 ];then
+ # ok , we have brew installed
+ # speculatively we check default brew prefix
+ if [ -h /usr/local/opt/awscli ];then
+ _brew_prefix="/usr/local/opt/awscli"
+ else
+ # ok , it is not default prefix
+ # this call to brew is expensive ( about 400 ms ), so at least let's make it only once
+ _brew_prefix=$(brew --prefix awscli)
+ fi
+ return 0
+ else
+ return $_xit
+ fi
}
_awscli-homebrew-installed() {
- brew list awscli &> /dev/null
+ [ -r $_brew_prefix/libexec/bin/aws_zsh_completer.sh ] &> /dev/null
}
export AWS_HOME=~/.aws
@@ -28,7 +43,7 @@ function aws_profiles {
compctl -K aws_profiles asp
if _homebrew-installed && _awscli-homebrew-installed ; then
- _aws_zsh_completer_path=$(brew --prefix awscli)/libexec/bin/aws_zsh_completer.sh
+ _aws_zsh_completer_path=$_brew_prefix/libexec/bin/aws_zsh_completer.sh
else
_aws_zsh_completer_path=$(which aws_zsh_completer.sh)
fi